Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.constants
Interface IDOLConstants

public interface IDOLConstants

Constants specifically used by the IDOLServer and the IDOL functionality interfaces.

See Also:
  `com.autonomy.aci.services`

Field Summary
`static java.lang.String` | `AGENT_ADD_ACTION`
`static java.lang.String` | `AGENT_AID_PARAM_NAME`
`static java.lang.String` | `AGENT_ALERTING_FIELD_NAME`
`static java.lang.String` | `AGENT_CLEAR_TRAINING_PARAM_NAME`
`static java.lang.String` | `AGENT_COPY_ACTION`
`static java.lang.String` | `AGENT_DATABASES_FIELD_NAME`
`static java.lang.String` | `AGENT_DELETE_ACTION`
`static java.lang.String` | `AGENT_DESTINATION_NAME_PARAM_NAME`
`static java.lang.String` | `AGENT_DESTINATION_OWNER_PARAM_NAME`
`static java.lang.String` | `AGENT_DOC_DETAILS_TAG`
`static java.lang.String` | `AGENT_DOC_REFERENCE_TAG`
`static java.lang.String` | `AGENT_EDIT_ACTION`
`static java.lang.String` | `AGENT_EMAIL_PARAM_NAME`
`static java.lang.String` | `AGENT_EMAILING_FIELD_NAME`
`static java.lang.String` | `AGENT_ENTRY_TAG`
`static java.lang.String` | `AGENT_EXISTS_ERROR`
`static java.lang.String` | `AGENT_FIELDS_TAG`
`static java.lang.String` | `AGENT_GET_RESULTS_ACTION`
`static java.lang.String` | `AGENT_ID_TAG`
`static java.lang.String` | `AGENT_LANGUAGE_TYPE_FIELD_NAME`
`static java.lang.String` | `AGENT_MATCH_LANGUAGE_FIELD_NAME`
`static java.lang.String` | `AGENT_MAX_AGE_FIELD_NAME`
`static java.lang.String` | `AGENT_NAME_PARAM_NAME`
`static java.lang.String` | `AGENT_NAME_TAG`
`static java.lang.String` | `AGENT_NEW_NAME_PARAM_NAME`
`static java.lang.String` | `AGENT_NOT_FOUND_ERROR`
`static java.lang.String` | `AGENT_NUMRESULTS_FIELD_NAME`
`static java.lang.String` | `AGENT_OWNER_ID_PARAM_NAME`
`static java.lang.String` | `AGENT_OWNER_NAME_PARAM_NAME`
`static java.lang.String` | `AGENT_PARENT_NAME_TAG`
`static java.lang.String` | `AGENT_PARENT_TAG`
`static java.lang.String` | `AGENT_POSITIVE_DOC_DETAILS_PARAM_NAME`
`static java.lang.String` | `AGENT_POSITIVE_TRAINING_TAG`
`static java.lang.String` | `AGENT_PRIVATE_FIELD_NAME`
`static java.lang.String` | `AGENT_READ_ACTION`
`static java.lang.String` | `AGENT_RETRAIN_ACTION`
`static java.lang.String` | `AGENT_RETRAINED_FIELD_NAME`
`static java.lang.String` | `AGENT_SHARED_FIELD_NAME`
`static java.lang.String` | `AGENT_THRESHOLD_FIELD_NAME`
`static java.lang.String` | `AGENT_TRAINEDFROMDOC_FIELD_NAME`
`static java.lang.String` | `AGENT_TRAINING_DOCS_PARAM_NAME`
`static java.lang.String` | `AGENT_TRAINING_MODE_PARAM_NAME`
`static java.lang.String` | `AGENT_TRAINING_MODE_REFERENCE`
`static java.lang.String` | `AGENT_TRAINING_TAG`
`static java.lang.String` | `AGENT_TRAINING_TEXT_PARAM_NAME`
`static java.lang.String` | `AGENT_UID_PARAM_NAME`
`static java.lang.String` | `AGENT_USERNAME_PARAM_NAME`
`static java.lang.String` | `AGENT_VIEWING_USERNAME_PARAM_NAME`
`static java.lang.String` | `BOOLEAN_PARAM_NAME`
`static java.lang.String` | `BOOLEAN_TAG_NAME`
`static java.lang.String` | `CAT_DATABASE_FIELD_NAME`
`static java.lang.String` | `CAT_DOES_NOT_EXIST_ERROR`
`static java.lang.String` | `CAT_ENCODING_FIELD_NAME`
`static java.lang.String` | `CAT_LANGUAGE_FIELD_NAME`
`static java.lang.String` | `CAT_NUMRESULTS_FIELD_NAME`
`static java.lang.String` | `CAT_PARAMETERS_TAG_NAME`
`static java.lang.String` | `CAT_STATUS_FIELD_NAME`
`static java.lang.String` | `CAT_THRESHOLD_FIELD_NAME`
`static java.lang.String` | `CATEGORIES_NOT_RENDERED`
`static java.lang.String` | `CATEGORY_BUILD_ACTION`
`static java.lang.String` | `CATEGORY_CREATE_ACTION`
`static java.lang.String` | `CATEGORY_DELETE_ACTION`
`static java.lang.String` | `CATEGORY_DELETE_TRAINING_ACTION`
`static java.lang.String` | `CATEGORY_GET_DETAILS_ACTION`
`static java.lang.String` | `CATEGORY_GET_HIER_DETAILS_ACTION`
`static java.lang.String` | `CATEGORY_GET_TNW_ACTION`
`static java.lang.String` | `CATEGORY_GET_TRAINING_ACTION`
`static java.lang.String` | `CATEGORY_IMPORT_XML_ACTION`
`static java.lang.String` | `CATEGORY_MOVE_ACTION`
`static java.lang.String` | `CATEGORY_PARAM_NAME`
`static java.lang.String` | `CATEGORY_QUERY_ACTION`
`static java.lang.String` | `CATEGORY_REPLACE_ACTION`
`static java.lang.String` | `CATEGORY_SET_DETAILS_ACTION`
`static java.lang.String` | `CATEGORY_SET_TNW_ACTION`
`static java.lang.String` | `CATEGORY_SET_TRAINING_ACTION`
`static java.lang.String` | `CATEGORY_SUGGEST_FROM_CATEGORY`
`static java.lang.String` | `CATEGORY_SUGGEST_FROM_TEXT`
`static java.lang.String` | `CATEGORY_TAG_NAME`
`static java.lang.String` | `CHILD_TAG_NAME`
`static java.lang.String` | `CHILDID_TAG_NAME`
`static java.lang.String` | `CHILDNAME_TAG_NAME`
`static java.lang.String` | `CHILDREN_TAG_NAME`
`static java.lang.String` | `COMMUNITY_ACTION`
`static java.lang.String` | `COMMUNITY_AGENT_DATABASE`
`static java.lang.String` | `COMMUNITY_AGENT_NAME_PARAM_NAME`
`static java.lang.String` | `COMMUNITY_AGENTS_FIND_AGENTS_PARAM_NAME`
`static java.lang.String` | `COMMUNITY_AGENTS_FIND_PROFILES_PARAM_NAME`
`static java.lang.String` | `COMMUNITY_AGENTS_PARAM_NAME`
`static java.lang.String` | `COMMUNITY_HIT_TAG`
`static java.lang.String` | `COMMUNITY_NAME_TAG`
`static java.lang.String` | `COMMUNITY_PARENT_TAG`
`static java.lang.String` | `COMMUNITY_PROFILE_DATABASE`
`static java.lang.String` | `COMMUNITY_PROFILE_PARAM_NAME`
`static java.lang.String` | `COMMUNITY_PROFILES_FIND_AGENTS_PARAM_NAME`
`static java.lang.String` | `COMMUNITY_PROFILES_FIND_PROFILES_PARAM_NAME`
`static java.lang.String` | `COMMUNITY_QUERY_TEXT_PARAM_NAME`
`static java.lang.String` | `COMMUNITY_USERNAME_TAG`
`static java.lang.String` | `DATA_SUIR_NOT_FOUND_ERROR_1`
`static java.lang.String` | `DATA_SUIR_NOT_FOUND_ERROR_2`
`static java.lang.String` | `DATABASE_NAME_TAG_NAME`
`static java.lang.String` | `DATABASE_TAG_NAME`
`static java.lang.String` | `DATABASES_TAG_NAME`
`static java.lang.String` | `DOCREF_PARAM_NAME`
`static java.lang.String` | `DOCUMENT_PARAM_NAME`
`static java.lang.String` | `DREDOC_TRAINING_DOC_TYPE`
`static java.lang.String` | `ENCODING_PARAM_NAME`
`static java.lang.String` | `EXPAND_ALL`
`static java.lang.String` | `EXPAND_PARAM_NAME`
`static java.lang.String` | `FIELD_NAME_PREFIX`
`static java.lang.String` | `FIELD_VALUE_TAG_NAME`
`static java.lang.String` | `FIELDS_PARAM_NAME`
`static java.lang.String` | `FILENAME_PARAM_NAME`
`static java.lang.String` | `FROM_CATEGORY_PARAM_NAME`
`static java.lang.String` | `GENERATED_TERMS_TAG_NAME`
`static java.lang.String` | `GENERATED_WEIGHTS_TAG_NAME`
`static java.lang.String` | `GETCONTENT_ACTION`
`static java.lang.String` | `GETCONTENT_LINKS_PARAM_NAME`
`static java.lang.String` | `GETCONTENT_REFERENCE_PARAM_NAME`
`static java.lang.String` | `GETQUERYTAGVALUES_ACTION`
`static java.lang.String` | `GETSTATUS_ACTION`
`static java.lang.String` | `GETTAGNAMES_ACTION`
`static java.lang.String` | `GETTAGNAMES_FIELD_TYPE_PARAM_VALUE_PARAMETRIC`
`static java.lang.String` | `GETTAGNAMES_FIELDTYPE_PARAM_NAME`
`static java.lang.String` | `GETTAGVALUES_ACTION`
`static java.lang.String` | `GETTAGVALUES_FIELDNAME_PARAM_NAME`
`static java.lang.String` | `GETTAGVALUES_FIELDNAME_RESTRICTION_NAME`
`static java.lang.String` | `GETTAGVALUES_SORT_PARAM_NAME`
`static java.lang.String` | `GETTAGVALUES_SORT_PARAM_VALUE_ALPHABETICAL`
`static java.lang.String` | `GETTAGVALUES_SORT_PARAM_VALUE_NUM_DECREASING`
`static java.lang.String` | `GETTAGVALUES_SORT_PARAM_VALUE_NUM_INCREASING`
`static java.lang.String` | `GETTAGVALUES_SORT_PARAM_VALUE_OFF`
`static java.lang.String` | `GETTAGVALUES_SORT_PARAM_VALUE_REVERSE_ALPHABETICAL`
`static java.lang.String` | `ID_TAG_NAME`
`static java.lang.String` | `IMPORT_FILE_PARAM_NAME`
`static java.lang.String` | `INCLUDE_CONTENTS_PARAM_NAME`
`static java.lang.String` | `INCLUDECONTENTS_PARAM_NAME`
`static java.lang.String` | `INVALID_CAT_ID_ERROR`
`static java.lang.String` | `INVALID_FROM_CAT_ID_ERROR`
`static java.lang.String` | `INVALID_IMPORT_FILE`
`static java.lang.String` | `INVALID_TO_CAT_ID_ERROR`
`static java.lang.String` | `LANGUAGE_NAME_TAG_NAME`
`static java.lang.String` | `LANGUAGE_PARAM_NAME`
`static java.lang.String` | `LANGUAGE_TYPE_SETTINGS_TAG_NAME`
`static java.lang.String` | `LANGUAGE_TYPE_TAG_NAME`
`static java.lang.String` | `LIST_ACTION`
`static java.lang.String` | `LIST_SEPARATOR`
`static java.lang.String` | `LOCATION_TAG_NAME`
`static java.lang.String` | `MAXIMUM_AGENTS_ERROR`
`static java.lang.String` | `MODIFIED_TERMS_TAG_NAME`
`static java.lang.String` | `MODIFIED_WEIGHTS_TAG_NAME`
`static java.lang.String` | `NAME_PARAM_NAME`
`static java.lang.String` | `NAME_TAG_NAME`
`static java.lang.String` | `NO_VALID_DOCUMENTS1_ERROR`
`static java.lang.String` | `NODE_TAG_NAME`
`static java.lang.String` | `ORIGINAL_LOCATION_TAG_NAME`
`static java.lang.String` | `PARAMS_PARAM_NAME`
`static java.lang.String` | `PARENT_PARAM_NAME`
`static java.lang.String` | `PARENT_ROLE_NAME_PARAM_NAME`
`static java.lang.String` | `PRIVILEGE_EXISTS_ERROR`
`static java.lang.String` | `PRIVILEGE_NOT_FOUND_ERROR`
`static java.lang.String` | `PRIVILEGE_VALUE_TAG_NAME`
`static java.lang.String` | `PROFILE_CLEAR_ACTION`
`static java.lang.String` | `PROFILE_DIVISION_TAG`
`static java.lang.String` | `PROFILE_DOCUMENT_PARAM_NAME`
`static java.lang.String` | `PROFILE_EDIT_ACTION`
`static java.lang.String` | `PROFILE_ENTRY_TAG`
`static java.lang.String` | `PROFILE_GET_RESULTS_ACTION`
`static java.lang.String` | `PROFILE_ID_TAG`
`static java.lang.String` | `PROFILE_MODE_PARAM_NAME`
`static java.lang.String` | `PROFILE_NAMED_AREA_TAG`
`static java.lang.String` | `PROFILE_PARENT_NAME_TAG`
`static java.lang.String` | `PROFILE_PARENT_TAG`
`static java.lang.String` | `PROFILE_PARENT_USER_NAME_TAG`
`static java.lang.String` | `PROFILE_PID_PARAM_NAME`
`static java.lang.String` | `PROFILE_READ_ACTION`
`static java.lang.String` | `PROFILE_USER_ACTION`
`static java.lang.String` | `PROFILE_VIEWING_USERNAME_PARAM_NAME`
`static java.lang.String` | `QUERY_ACTION`
`static java.lang.String` | `QUERY_AGENT_TERMS_N_WEIGHTS_TAG_NAME`
`static java.lang.String` | `QUERY_CLUSTER_PARAM_NAME`
`static java.lang.String` | `QUERY_DATABASE_MATCH_PARAM_NAME`
`static java.lang.String` | `QUERY_FIELD_RESTRICTION_PARAM_NAME`
`static java.lang.String` | `QUERY_FIELD_TEXT_PARAM_NAME`
`static java.lang.String` | `QUERY_HIGHLIGHT_PARAM_NAME`
`static java.lang.String` | `QUERY_LANGUAGE_TYPE_PARAM_NAME`
`static java.lang.String` | `QUERY_MATCH_LANGUAGE_PARAM_NAME`
`static java.lang.String` | `QUERY_MATCH_LANGUAGE_TYPE_PARAM_NAME`
`static java.lang.String` | `QUERY_MATCH_REFERENCE_PARAM_NAME`
`static java.lang.String` | `QUERY_MAX_DATE_PARAM_NAME`
`static java.lang.String` | `QUERY_MAX_RESULTS_PARAM_NAME`
`static java.lang.String` | `QUERY_MAX_SCORE_PARAM_NAME`
`static java.lang.String` | `QUERY_MIN_DATE_PARAM_NAME`
`static java.lang.String` | `QUERY_MIN_SCORE_PARAM_NAME`
`static java.lang.String` | `QUERY_OUTPUT_ENCODING_PARAM_NAME`
`static java.lang.String` | `QUERY_SECURITY_INFO_PARAM_NAME`
`static java.lang.String` | `QUERY_SORT_PARAM_NAME`
`static java.lang.String` | `QUERY_START_PARAM_NAME`
`static java.lang.String` | `QUERY_START_TAG_PARAM_NAME`
`static java.lang.String` | `QUERY_SUMMARY_PARAM_NAME`
`static java.lang.String` | `QUERY_TEXT_PARAM_NAME`
`static java.lang.String` | `QUERY_TOTAL_RESULTS_NAME`
`static java.lang.String` | `QUERY_WEIGH_FIELD_TEXT_PARAM_NAME`
`static java.lang.String` | `RECURSE_PARAM_NAME`
`static java.lang.String` | `REF_SEPARATOR`
`static java.lang.String` | `REFERENCE_PARAM_NAME`
`static java.lang.String` | `REFERENCE_TAG_NAME`
`static java.lang.String` | `ROLE_ABSOLUTE_PARAM_NAME`
`static java.lang.String` | `ROLE_ADD_ACTION`
`static java.lang.String` | `ROLE_ADD_PRIVILEGE_ACTION`
`static java.lang.String` | `ROLE_ADD_ROLE_TO_ROLE_ACTION`
`static java.lang.String` | `ROLE_ADD_USER_TO_ROLE_ACTION`
`static java.lang.String` | `ROLE_DELETE_ACTION`
`static java.lang.String` | `ROLE_DELETE_PRIVILEGE_ACTION`
`static java.lang.String` | `ROLE_EXISTS_ERROR`
`static java.lang.String` | `ROLE_GET_CHILD_ROLE_LIST`
`static java.lang.String` | `ROLE_GET_PARENT_ROLE_LIST`
`static java.lang.String` | `ROLE_GET_PRIVILEGE_LIST_ACTION`
`static java.lang.String` | `ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_NEGATIVE`
`static java.lang.String` | `ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_POSITIVE`
`static java.lang.String` | `ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_RESOLVED`
`static java.lang.String` | `ROLE_GET_PRIVILEGE_VALUE_LIST_ACTION`
`static java.lang.String` | `ROLE_GET_ROLE_LIST_ACTION`
`static java.lang.String` | `ROLE_GET_USER_LIST_ACTION`
`static java.lang.String` | `ROLE_IS_ROLE_IN_ROLE_ACTION`
`static java.lang.String` | `ROLE_ISROLEINROLE_TAG_NAME`
`static java.lang.String` | `ROLE_MAX_LEVELS_PARAM_NAME`
`static java.lang.String` | `ROLE_MODE_PARAM_NAME`
`static java.lang.String` | `ROLE_NAME_PARAM_NAME`
`static java.lang.String` | `ROLE_NOT_FOUND_ERROR`
`static java.lang.String` | `ROLE_PARENT_ROLENAME_PARAM_NAME`
`static java.lang.String` | `ROLE_POSITIVE_PARAM_NAME`
`static java.lang.String` | `ROLE_PRIVILEGE_PARAM_NAME`
`static java.lang.String` | `ROLE_RECURSE_PARAM_NAME`
`static java.lang.String` | `ROLE_REMOVE_ROLE_FROM_ROLE_ACTION`
`static java.lang.String` | `ROLE_ROLENAME_PARAM_NAME`
`static java.lang.String` | `ROLE_SET_PRIVILEGE_FOR_ROLE_ACTION`
`static java.lang.String` | `ROLE_SINGLE_VALUE_PARAM_NAME`
`static java.lang.String` | `ROLE_VALUE_PARAM_NAME`
`static java.lang.String` | `SECURITY_ACTION`
`static java.lang.String` | `SECURITY_TYPE_PREFIX`
`static java.lang.String` | `SHOW_ALL_FIELDS_PARAM_NAME`
`static java.lang.String` | `SUGGEST_ACTION`
`static java.lang.String` | `SUGGEST_ON_TEXT_ACTION`
`static java.lang.String` | `SUGGEST_REFERENCE_PARAM_NAME`
`static java.lang.String` | `TAG_NAME_TAG_NAME`
`static java.lang.String` | `TERMS_PARAM_NAME`
`static java.lang.String` | `TEXT_PARAM_NAME`
`static java.lang.String` | `TITLE_PARAM_NAME`
`static java.lang.String` | `TITLE_TAG_NAME`
`static java.lang.String` | `TNW_NOT_BUILD`
`static java.lang.String` | `TNW_NOT_MODIFIED`
`static java.lang.String` | `TO_CATEGORY_PARAM_NAME`
`static java.lang.String` | `TRAINING_PARAM_NAME`
`static java.lang.String` | `TRAINING_TAG_NAME`
`static java.lang.String` | `TRAININGDOC_TAG_NAME`
`static java.lang.String` | `TRAININGTEXT_TAG_NAME`
`static java.lang.String` | `TRAININGTYPE_TAG_NAME`
`static java.lang.String` | `TRAINNOW_PARAM_NAME`
`static java.lang.String` | `URL_PARAM_NAME`
`static java.lang.String` | `URL_TRAINING_DOC_TYPE`
`static java.lang.String` | `USER_ADD_ACTION`
`static java.lang.String` | `USER_AUTHENTICATE_TAG`
`static java.lang.String` | `USER_COPY_ACTION`
`static java.lang.String` | `USER_DELETE_ACTION`
`static java.lang.String` | `USER_DESTINATION_USER_PARAM_NAME`
`static java.lang.String` | `USER_DOMAIN_PARAM_NAME`
`static java.lang.String` | `USER_EDIT_ACTION`
`static java.lang.String` | `USER_EMAIL_PARAM_NAME`
`static java.lang.String` | `USER_EMAIL_TAG`
`static java.lang.String` | `USER_ENTRY_TAG`
`static java.lang.String` | `USER_EXISTS_ERROR`
`static java.lang.String` | `USER_FIELD_TAG`
`static java.lang.String` | `USER_FIELDS_TAG`
`static java.lang.String` | `USER_ID_PARAM_NAME`
`static java.lang.String` | `USER_ID_TAG`
`static java.lang.String` | `USER_MAX_AGENTS_TAG`
`static java.lang.String` | `USER_NAME_PARAM_NAME`
`static java.lang.String` | `USER_NAME_TAG`
`static java.lang.String` | `USER_NEW_PASSWORD_PARAM_NAME`
`static java.lang.String` | `USER_NOT_FOUND_ERROR`
`static java.lang.String` | `USER_NUM_AGENTS_TAG`
`static java.lang.String` | `USER_NUM_SECURITY_TYPE_TAG`
`static java.lang.String` | `USER_PASSWORD_PARAM_NAME`
`static java.lang.String` | `USER_PRIVILEGE_NAME_TAG`
`static java.lang.String` | `USER_PRIVILEGE_PARAM_NAME`
`static java.lang.String` | `USER_PRIVILEGE_TAG`
`static java.lang.String` | `USER_PRIVILEGE_TAG_SINGLEVALUED_ATTRIB_NAME`
`static java.lang.String` | `USER_PRIVILEGE_VALUE_TAG`
`static java.lang.String` | `USER_READ_ACTION`
`static java.lang.String` | `USER_READ_AGENT_LIST_ACTION`
`static java.lang.String` | `USER_READ_USER_LIST_ACTION`
`static java.lang.String` | `USER_REPOSITORY_PARAM_NAME`
`static java.lang.String` | `USER_RESET_PASSWORD_PARAM_NAME`
`static java.lang.String` | `USER_ROLE_TAG`
`static java.lang.String` | `USER_ROLELIST_PARAM_NAME`
`static java.lang.String` | `USER_SECURITY_FIELDS_PARAM_NAME`
`static java.lang.String` | `USER_SECURITY_INFO_PARAM_NAME`
`static java.lang.String` | `USER_SECURITY_INFO_TAG`
`static java.lang.String` | `USER_SECURITY_TAG`
`static java.lang.String` | `USER_USERNAME_PARAM_NAME`
`static java.lang.String` | `VALUES_PARAM_NAME`
`static java.lang.String` | `WEIGHTS_PARAM_NAME`

Field Detail

### LIST_SEPARATOR

    public static final java.lang.String LIST_SEPARATOR

See Also:
  Constant Field Values

### REF_SEPARATOR

    public static final java.lang.String REF_SEPARATOR

See Also:
  Constant Field Values

### FIELD_NAME_PREFIX

    public static final java.lang.String FIELD_NAME_PREFIX

See Also:
  Constant Field Values

### SECURITY_TYPE_PREFIX

    public static final java.lang.String SECURITY_TYPE_PREFIX

See Also:
  Constant Field Values

### CATEGORY_GET_DETAILS_ACTION

    public static final java.lang.String CATEGORY_GET_DETAILS_ACTION

See Also:
  Constant Field Values

### CATEGORY_CREATE_ACTION

    public static final java.lang.String CATEGORY_CREATE_ACTION

See Also:
  Constant Field Values

### CATEGORY_DELETE_ACTION

    public static final java.lang.String CATEGORY_DELETE_ACTION

See Also:
  Constant Field Values

### CATEGORY_BUILD_ACTION

    public static final java.lang.String CATEGORY_BUILD_ACTION

See Also:
  Constant Field Values

### CATEGORY_REPLACE_ACTION

    public static final java.lang.String CATEGORY_REPLACE_ACTION

See Also:
  Constant Field Values

### CATEGORY_DELETE_TRAINING_ACTION

    public static final java.lang.String CATEGORY_DELETE_TRAINING_ACTION

See Also:
  Constant Field Values

### CATEGORY_GET_HIER_DETAILS_ACTION

    public static final java.lang.String CATEGORY_GET_HIER_DETAILS_ACTION

See Also:
  Constant Field Values

### CATEGORY_GET_TNW_ACTION

    public static final java.lang.String CATEGORY_GET_TNW_ACTION

See Also:
  Constant Field Values

### CATEGORY_GET_TRAINING_ACTION

    public static final java.lang.String CATEGORY_GET_TRAINING_ACTION

See Also:
  Constant Field Values

### CATEGORY_IMPORT_XML_ACTION

    public static final java.lang.String CATEGORY_IMPORT_XML_ACTION

See Also:
  Constant Field Values

### CATEGORY_MOVE_ACTION

    public static final java.lang.String CATEGORY_MOVE_ACTION

See Also:
  Constant Field Values

### CATEGORY_QUERY_ACTION

    public static final java.lang.String CATEGORY_QUERY_ACTION

See Also:
  Constant Field Values

### CATEGORY_SET_DETAILS_ACTION

    public static final java.lang.String CATEGORY_SET_DETAILS_ACTION

See Also:
  Constant Field Values

### CATEGORY_SET_TNW_ACTION

    public static final java.lang.String CATEGORY_SET_TNW_ACTION

See Also:
  Constant Field Values

### CATEGORY_SET_TRAINING_ACTION

    public static final java.lang.String CATEGORY_SET_TRAINING_ACTION

See Also:
  Constant Field Values

### CATEGORY_SUGGEST_FROM_CATEGORY

    public static final java.lang.String CATEGORY_SUGGEST_FROM_CATEGORY

See Also:
  Constant Field Values

### CATEGORY_SUGGEST_FROM_TEXT

    public static final java.lang.String CATEGORY_SUGGEST_FROM_TEXT

See Also:
  Constant Field Values

### AGENT_ADD_ACTION

    public static final java.lang.String AGENT_ADD_ACTION

See Also:
  Constant Field Values

### AGENT_COPY_ACTION

    public static final java.lang.String AGENT_COPY_ACTION

See Also:
  Constant Field Values

### AGENT_DELETE_ACTION

    public static final java.lang.String AGENT_DELETE_ACTION

See Also:
  Constant Field Values

### AGENT_EDIT_ACTION

    public static final java.lang.String AGENT_EDIT_ACTION

See Also:
  Constant Field Values

### AGENT_GET_RESULTS_ACTION

    public static final java.lang.String AGENT_GET_RESULTS_ACTION

See Also:
  Constant Field Values

### AGENT_READ_ACTION

    public static final java.lang.String AGENT_READ_ACTION

See Also:
  Constant Field Values

### AGENT_RETRAIN_ACTION

    public static final java.lang.String AGENT_RETRAIN_ACTION

See Also:
  Constant Field Values

### USER_ADD_ACTION

    public static final java.lang.String USER_ADD_ACTION

See Also:
  Constant Field Values

### USER_COPY_ACTION

    public static final java.lang.String USER_COPY_ACTION

See Also:
  Constant Field Values

### USER_DELETE_ACTION

    public static final java.lang.String USER_DELETE_ACTION

See Also:
  Constant Field Values

### USER_EDIT_ACTION

    public static final java.lang.String USER_EDIT_ACTION

See Also:
  Constant Field Values

### USER_READ_ACTION

    public static final java.lang.String USER_READ_ACTION

See Also:
  Constant Field Values

### USER_READ_AGENT_LIST_ACTION

    public static final java.lang.String USER_READ_AGENT_LIST_ACTION

See Also:
  Constant Field Values

### USER_READ_USER_LIST_ACTION

    public static final java.lang.String USER_READ_USER_LIST_ACTION

See Also:
  Constant Field Values

### COMMUNITY_ACTION

    public static final java.lang.String COMMUNITY_ACTION

See Also:
  Constant Field Values

### PROFILE_CLEAR_ACTION

    public static final java.lang.String PROFILE_CLEAR_ACTION

See Also:
  Constant Field Values

### PROFILE_EDIT_ACTION

    public static final java.lang.String PROFILE_EDIT_ACTION

See Also:
  Constant Field Values

### PROFILE_GET_RESULTS_ACTION

    public static final java.lang.String PROFILE_GET_RESULTS_ACTION

See Also:
  Constant Field Values

### PROFILE_READ_ACTION

    public static final java.lang.String PROFILE_READ_ACTION

See Also:
  Constant Field Values

### PROFILE_USER_ACTION

    public static final java.lang.String PROFILE_USER_ACTION

See Also:
  Constant Field Values

### ROLE_ADD_ACTION

    public static final java.lang.String ROLE_ADD_ACTION

See Also:
  Constant Field Values

### ROLE_DELETE_ACTION

    public static final java.lang.String ROLE_DELETE_ACTION

See Also:
  Constant Field Values

### ROLE_GET_ROLE_LIST_ACTION

    public static final java.lang.String ROLE_GET_ROLE_LIST_ACTION

See Also:
  Constant Field Values

### ROLE_ADD_ROLE_TO_ROLE_ACTION

    public static final java.lang.String ROLE_ADD_ROLE_TO_ROLE_ACTION

See Also:
  Constant Field Values

### ROLE_REMOVE_ROLE_FROM_ROLE_ACTION

    public static final java.lang.String ROLE_REMOVE_ROLE_FROM_ROLE_ACTION

See Also:
  Constant Field Values

### ROLE_ADD_USER_TO_ROLE_ACTION

    public static final java.lang.String ROLE_ADD_USER_TO_ROLE_ACTION

See Also:
  Constant Field Values

### ROLE_GET_USER_LIST_ACTION

    public static final java.lang.String ROLE_GET_USER_LIST_ACTION

See Also:
  Constant Field Values

### ROLE_ADD_PRIVILEGE_ACTION

    public static final java.lang.String ROLE_ADD_PRIVILEGE_ACTION

See Also:
  Constant Field Values

### ROLE_DELETE_PRIVILEGE_ACTION

    public static final java.lang.String ROLE_DELETE_PRIVILEGE_ACTION

See Also:
  Constant Field Values

### ROLE_GET_PRIVILEGE_LIST_ACTION

    public static final java.lang.String ROLE_GET_PRIVILEGE_LIST_ACTION

See Also:
  Constant Field Values

### ROLE_GET_PRIVILEGE_VALUE_LIST_ACTION

    public static final java.lang.String ROLE_GET_PRIVILEGE_VALUE_LIST_ACTION

See Also:
  Constant Field Values

### ROLE_SET_PRIVILEGE_FOR_ROLE_ACTION

    public static final java.lang.String ROLE_SET_PRIVILEGE_FOR_ROLE_ACTION

See Also:
  Constant Field Values

### ROLE_IS_ROLE_IN_ROLE_ACTION

    public static final java.lang.String ROLE_IS_ROLE_IN_ROLE_ACTION

See Also:
  Constant Field Values

### ROLE_GET_CHILD_ROLE_LIST

    public static final java.lang.String ROLE_GET_CHILD_ROLE_LIST

See Also:
  Constant Field Values

### ROLE_GET_PARENT_ROLE_LIST

    public static final java.lang.String ROLE_GET_PARENT_ROLE_LIST

See Also:
  Constant Field Values

### QUERY_ACTION

    public static final java.lang.String QUERY_ACTION

See Also:
  Constant Field Values

### SUGGEST_ACTION

    public static final java.lang.String SUGGEST_ACTION

See Also:
  Constant Field Values

### SUGGEST_ON_TEXT_ACTION

    public static final java.lang.String SUGGEST_ON_TEXT_ACTION

See Also:
  Constant Field Values

### GETCONTENT_ACTION

    public static final java.lang.String GETCONTENT_ACTION

See Also:
  Constant Field Values

### LIST_ACTION

    public static final java.lang.String LIST_ACTION

See Also:
  Constant Field Values

### GETTAGNAMES_ACTION

    public static final java.lang.String GETTAGNAMES_ACTION

See Also:
  Constant Field Values

### GETTAGVALUES_ACTION

    public static final java.lang.String GETTAGVALUES_ACTION

See Also:
  Constant Field Values

### GETQUERYTAGVALUES_ACTION

    public static final java.lang.String GETQUERYTAGVALUES_ACTION

See Also:
  Constant Field Values

### GETSTATUS_ACTION

    public static final java.lang.String GETSTATUS_ACTION

See Also:
  Constant Field Values

### SECURITY_ACTION

    public static final java.lang.String SECURITY_ACTION

See Also:
  Constant Field Values

### CATEGORY_PARAM_NAME

    public static final java.lang.String CATEGORY_PARAM_NAME

See Also:
  Constant Field Values

### FROM_CATEGORY_PARAM_NAME

    public static final java.lang.String FROM_CATEGORY_PARAM_NAME

See Also:
  Constant Field Values

### TO_CATEGORY_PARAM_NAME

    public static final java.lang.String TO_CATEGORY_PARAM_NAME

See Also:
  Constant Field Values

### PARENT_PARAM_NAME

    public static final java.lang.String PARENT_PARAM_NAME

See Also:
  Constant Field Values

### PARAMS_PARAM_NAME

    public static final java.lang.String PARAMS_PARAM_NAME

See Also:
  Constant Field Values

### DOCUMENT_PARAM_NAME

    public static final java.lang.String DOCUMENT_PARAM_NAME

See Also:
  Constant Field Values

### INCLUDECONTENTS_PARAM_NAME

    public static final java.lang.String INCLUDECONTENTS_PARAM_NAME

See Also:
  Constant Field Values

### FILENAME_PARAM_NAME

    public static final java.lang.String FILENAME_PARAM_NAME

See Also:
  Constant Field Values

### NAME_PARAM_NAME

    public static final java.lang.String NAME_PARAM_NAME

See Also:
  Constant Field Values

### TERMS_PARAM_NAME

    public static final java.lang.String TERMS_PARAM_NAME

See Also:
  Constant Field Values

### WEIGHTS_PARAM_NAME

    public static final java.lang.String WEIGHTS_PARAM_NAME

See Also:
  Constant Field Values

### DOCREF_PARAM_NAME

    public static final java.lang.String DOCREF_PARAM_NAME

See Also:
  Constant Field Values

### TRAINING_PARAM_NAME

    public static final java.lang.String TRAINING_PARAM_NAME

See Also:
  Constant Field Values

### TRAINNOW_PARAM_NAME

    public static final java.lang.String TRAINNOW_PARAM_NAME

See Also:
  Constant Field Values

### URL_PARAM_NAME

    public static final java.lang.String URL_PARAM_NAME

See Also:
  Constant Field Values

### RECURSE_PARAM_NAME

    public static final java.lang.String RECURSE_PARAM_NAME

See Also:
  Constant Field Values

### INCLUDE_CONTENTS_PARAM_NAME

    public static final java.lang.String INCLUDE_CONTENTS_PARAM_NAME

See Also:
  Constant Field Values

### VALUES_PARAM_NAME

    public static final java.lang.String VALUES_PARAM_NAME

See Also:
  Constant Field Values

### FIELDS_PARAM_NAME

    public static final java.lang.String FIELDS_PARAM_NAME

See Also:
  Constant Field Values

### LANGUAGE_PARAM_NAME

    public static final java.lang.String LANGUAGE_PARAM_NAME

See Also:
  Constant Field Values

### ENCODING_PARAM_NAME

    public static final java.lang.String ENCODING_PARAM_NAME

See Also:
  Constant Field Values

### BOOLEAN_PARAM_NAME

    public static final java.lang.String BOOLEAN_PARAM_NAME

See Also:
  Constant Field Values

### EXPAND_PARAM_NAME

    public static final java.lang.String EXPAND_PARAM_NAME

See Also:
  Constant Field Values

### REFERENCE_PARAM_NAME

    public static final java.lang.String REFERENCE_PARAM_NAME

See Also:
  Constant Field Values

### TITLE_PARAM_NAME

    public static final java.lang.String TITLE_PARAM_NAME

See Also:
  Constant Field Values

### SHOW_ALL_FIELDS_PARAM_NAME

    public static final java.lang.String SHOW_ALL_FIELDS_PARAM_NAME

See Also:
  Constant Field Values

### IMPORT_FILE_PARAM_NAME

    public static final java.lang.String IMPORT_FILE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_TEXT_PARAM_NAME

    public static final java.lang.String QUERY_TEXT_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_NAME_PARAM_NAME

    public static final java.lang.String AGENT_NAME_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_AID_PARAM_NAME

    public static final java.lang.String AGENT_AID_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_USERNAME_PARAM_NAME

    public static final java.lang.String AGENT_USERNAME_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_UID_PARAM_NAME

    public static final java.lang.String AGENT_UID_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_TRAINING_TEXT_PARAM_NAME

    public static final java.lang.String AGENT_TRAINING_TEXT_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_TRAINING_DOCS_PARAM_NAME

    public static final java.lang.String AGENT_TRAINING_DOCS_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_TRAINING_MODE_PARAM_NAME

    public static final java.lang.String AGENT_TRAINING_MODE_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_OWNER_NAME_PARAM_NAME

    public static final java.lang.String AGENT_OWNER_NAME_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_OWNER_ID_PARAM_NAME

    public static final java.lang.String AGENT_OWNER_ID_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_EMAIL_PARAM_NAME

    public static final java.lang.String AGENT_EMAIL_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_NEW_NAME_PARAM_NAME

    public static final java.lang.String AGENT_NEW_NAME_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_DESTINATION_NAME_PARAM_NAME

    public static final java.lang.String AGENT_DESTINATION_NAME_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_DESTINATION_OWNER_PARAM_NAME

    public static final java.lang.String AGENT_DESTINATION_OWNER_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_POSITIVE_DOC_DETAILS_PARAM_NAME

    public static final java.lang.String AGENT_POSITIVE_DOC_DETAILS_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_CLEAR_TRAINING_PARAM_NAME

    public static final java.lang.String AGENT_CLEAR_TRAINING_PARAM_NAME

See Also:
  Constant Field Values

### AGENT_THRESHOLD_FIELD_NAME

    public static final java.lang.String AGENT_THRESHOLD_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_NUMRESULTS_FIELD_NAME

    public static final java.lang.String AGENT_NUMRESULTS_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_DATABASES_FIELD_NAME

    public static final java.lang.String AGENT_DATABASES_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_MAX_AGE_FIELD_NAME

    public static final java.lang.String AGENT_MAX_AGE_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_SHARED_FIELD_NAME

    public static final java.lang.String AGENT_SHARED_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_PRIVATE_FIELD_NAME

    public static final java.lang.String AGENT_PRIVATE_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_RETRAINED_FIELD_NAME

    public static final java.lang.String AGENT_RETRAINED_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_TRAINEDFROMDOC_FIELD_NAME

    public static final java.lang.String AGENT_TRAINEDFROMDOC_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_EMAILING_FIELD_NAME

    public static final java.lang.String AGENT_EMAILING_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_ALERTING_FIELD_NAME

    public static final java.lang.String AGENT_ALERTING_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_LANGUAGE_TYPE_FIELD_NAME

    public static final java.lang.String AGENT_LANGUAGE_TYPE_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_MATCH_LANGUAGE_FIELD_NAME

    public static final java.lang.String AGENT_MATCH_LANGUAGE_FIELD_NAME

See Also:
  Constant Field Values

### AGENT_VIEWING_USERNAME_PARAM_NAME

    public static final java.lang.String AGENT_VIEWING_USERNAME_PARAM_NAME

See Also:
  Constant Field Values

### USER_NAME_PARAM_NAME

    public static final java.lang.String USER_NAME_PARAM_NAME

See Also:
  Constant Field Values

### USER_ID_PARAM_NAME

    public static final java.lang.String USER_ID_PARAM_NAME

See Also:
  Constant Field Values

### USER_REPOSITORY_PARAM_NAME

    public static final java.lang.String USER_REPOSITORY_PARAM_NAME

See Also:
  Constant Field Values

### USER_PASSWORD_PARAM_NAME

    public static final java.lang.String USER_PASSWORD_PARAM_NAME

See Also:
  Constant Field Values

### USER_DOMAIN_PARAM_NAME

    public static final java.lang.String USER_DOMAIN_PARAM_NAME

See Also:
  Constant Field Values

### USER_NEW_PASSWORD_PARAM_NAME

    public static final java.lang.String USER_NEW_PASSWORD_PARAM_NAME

See Also:
  Constant Field Values

### USER_SECURITY_INFO_PARAM_NAME

    public static final java.lang.String USER_SECURITY_INFO_PARAM_NAME

See Also:
  Constant Field Values

### USER_SECURITY_FIELDS_PARAM_NAME

    public static final java.lang.String USER_SECURITY_FIELDS_PARAM_NAME

See Also:
  Constant Field Values

### USER_ROLELIST_PARAM_NAME

    public static final java.lang.String USER_ROLELIST_PARAM_NAME

See Also:
  Constant Field Values

### USER_PRIVILEGE_PARAM_NAME

    public static final java.lang.String USER_PRIVILEGE_PARAM_NAME

See Also:
  Constant Field Values

### USER_USERNAME_PARAM_NAME

    public static final java.lang.String USER_USERNAME_PARAM_NAME

See Also:
  Constant Field Values

### USER_EMAIL_PARAM_NAME

    public static final java.lang.String USER_EMAIL_PARAM_NAME

See Also:
  Constant Field Values

### USER_RESET_PASSWORD_PARAM_NAME

    public static final java.lang.String USER_RESET_PASSWORD_PARAM_NAME

See Also:
  Constant Field Values

### USER_DESTINATION_USER_PARAM_NAME

    public static final java.lang.String USER_DESTINATION_USER_PARAM_NAME

See Also:
  Constant Field Values

### COMMUNITY_AGENT_NAME_PARAM_NAME

    public static final java.lang.String COMMUNITY_AGENT_NAME_PARAM_NAME

See Also:
  Constant Field Values

### COMMUNITY_QUERY_TEXT_PARAM_NAME

    public static final java.lang.String COMMUNITY_QUERY_TEXT_PARAM_NAME

See Also:
  Constant Field Values

### COMMUNITY_AGENTS_PARAM_NAME

    public static final java.lang.String COMMUNITY_AGENTS_PARAM_NAME

See Also:
  Constant Field Values

### COMMUNITY_PROFILE_PARAM_NAME

    public static final java.lang.String COMMUNITY_PROFILE_PARAM_NAME

See Also:
  Constant Field Values

### COMMUNITY_AGENTS_FIND_AGENTS_PARAM_NAME

    public static final java.lang.String COMMUNITY_AGENTS_FIND_AGENTS_PARAM_NAME

See Also:
  Constant Field Values

### COMMUNITY_AGENTS_FIND_PROFILES_PARAM_NAME

    public static final java.lang.String COMMUNITY_AGENTS_FIND_PROFILES_PARAM_NAME

See Also:
  Constant Field Values

### COMMUNITY_PROFILES_FIND_AGENTS_PARAM_NAME

    public static final java.lang.String COMMUNITY_PROFILES_FIND_AGENTS_PARAM_NAME

See Also:
  Constant Field Values

### COMMUNITY_PROFILES_FIND_PROFILES_PARAM_NAME

    public static final java.lang.String COMMUNITY_PROFILES_FIND_PROFILES_PARAM_NAME

See Also:
  Constant Field Values

### PROFILE_PID_PARAM_NAME

    public static final java.lang.String PROFILE_PID_PARAM_NAME

See Also:
  Constant Field Values

### PROFILE_DOCUMENT_PARAM_NAME

    public static final java.lang.String PROFILE_DOCUMENT_PARAM_NAME

See Also:
  Constant Field Values

### PROFILE_MODE_PARAM_NAME

    public static final java.lang.String PROFILE_MODE_PARAM_NAME

See Also:
  Constant Field Values

### PROFILE_VIEWING_USERNAME_PARAM_NAME

    public static final java.lang.String PROFILE_VIEWING_USERNAME_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_ROLENAME_PARAM_NAME

    public static final java.lang.String ROLE_ROLENAME_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_NAME_PARAM_NAME

    public static final java.lang.String ROLE_NAME_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_PARENT_ROLENAME_PARAM_NAME

    public static final java.lang.String ROLE_PARENT_ROLENAME_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_PRIVILEGE_PARAM_NAME

    public static final java.lang.String ROLE_PRIVILEGE_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_SINGLE_VALUE_PARAM_NAME

    public static final java.lang.String ROLE_SINGLE_VALUE_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_MODE_PARAM_NAME

    public static final java.lang.String ROLE_MODE_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_RECURSE_PARAM_NAME

    public static final java.lang.String ROLE_RECURSE_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_ABSOLUTE_PARAM_NAME

    public static final java.lang.String ROLE_ABSOLUTE_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_POSITIVE_PARAM_NAME

    public static final java.lang.String ROLE_POSITIVE_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_VALUE_PARAM_NAME

    public static final java.lang.String ROLE_VALUE_PARAM_NAME

See Also:
  Constant Field Values

### ROLE_MAX_LEVELS_PARAM_NAME

    public static final java.lang.String ROLE_MAX_LEVELS_PARAM_NAME

See Also:
  Constant Field Values

### PARENT_ROLE_NAME_PARAM_NAME

    public static final java.lang.String PARENT_ROLE_NAME_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_CLUSTER_PARAM_NAME

    public static final java.lang.String QUERY_CLUSTER_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_DATABASE_MATCH_PARAM_NAME

    public static final java.lang.String QUERY_DATABASE_MATCH_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_FIELD_RESTRICTION_PARAM_NAME

    public static final java.lang.String QUERY_FIELD_RESTRICTION_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_FIELD_TEXT_PARAM_NAME

    public static final java.lang.String QUERY_FIELD_TEXT_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_HIGHLIGHT_PARAM_NAME

    public static final java.lang.String QUERY_HIGHLIGHT_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_LANGUAGE_TYPE_PARAM_NAME

    public static final java.lang.String QUERY_LANGUAGE_TYPE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_MATCH_LANGUAGE_PARAM_NAME

    public static final java.lang.String QUERY_MATCH_LANGUAGE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_MATCH_LANGUAGE_TYPE_PARAM_NAME

    public static final java.lang.String QUERY_MATCH_LANGUAGE_TYPE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_MATCH_REFERENCE_PARAM_NAME

    public static final java.lang.String QUERY_MATCH_REFERENCE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_MAX_DATE_PARAM_NAME

    public static final java.lang.String QUERY_MAX_DATE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_MAX_RESULTS_PARAM_NAME

    public static final java.lang.String QUERY_MAX_RESULTS_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_MAX_SCORE_PARAM_NAME

    public static final java.lang.String QUERY_MAX_SCORE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_MIN_DATE_PARAM_NAME

    public static final java.lang.String QUERY_MIN_DATE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_MIN_SCORE_PARAM_NAME

    public static final java.lang.String QUERY_MIN_SCORE_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_OUTPUT_ENCODING_PARAM_NAME

    public static final java.lang.String QUERY_OUTPUT_ENCODING_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_SECURITY_INFO_PARAM_NAME

    public static final java.lang.String QUERY_SECURITY_INFO_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_SORT_PARAM_NAME

    public static final java.lang.String QUERY_SORT_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_START_PARAM_NAME

    public static final java.lang.String QUERY_START_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_START_TAG_PARAM_NAME

    public static final java.lang.String QUERY_START_TAG_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_SUMMARY_PARAM_NAME

    public static final java.lang.String QUERY_SUMMARY_PARAM_NAME

See Also:
  Constant Field Values

### TEXT_PARAM_NAME

    public static final java.lang.String TEXT_PARAM_NAME

See Also:
  Constant Field Values

### QUERY_TOTAL_RESULTS_NAME

    public static final java.lang.String QUERY_TOTAL_RESULTS_NAME

See Also:
  Constant Field Values

### QUERY_WEIGH_FIELD_TEXT_PARAM_NAME

    public static final java.lang.String QUERY_WEIGH_FIELD_TEXT_PARAM_NAME

See Also:
  Constant Field Values

### SUGGEST_REFERENCE_PARAM_NAME

    public static final java.lang.String SUGGEST_REFERENCE_PARAM_NAME

See Also:
  Constant Field Values

### GETCONTENT_LINKS_PARAM_NAME

    public static final java.lang.String GETCONTENT_LINKS_PARAM_NAME

See Also:
  Constant Field Values

### GETCONTENT_REFERENCE_PARAM_NAME

    public static final java.lang.String GETCONTENT_REFERENCE_PARAM_NAME

See Also:
  Constant Field Values

### GETTAGNAMES_FIELDTYPE_PARAM_NAME

    public static final java.lang.String GETTAGNAMES_FIELDTYPE_PARAM_NAME

See Also:
  Constant Field Values

### GETTAGVALUES_FIELDNAME_PARAM_NAME

    public static final java.lang.String GETTAGVALUES_FIELDNAME_PARAM_NAME

See Also:
  Constant Field Values

### GETTAGVALUES_FIELDNAME_RESTRICTION_NAME

    public static final java.lang.String GETTAGVALUES_FIELDNAME_RESTRICTION_NAME

See Also:
  Constant Field Values

### GETTAGVALUES_SORT_PARAM_NAME

    public static final java.lang.String GETTAGVALUES_SORT_PARAM_NAME

See Also:
  Constant Field Values

### DREDOC_TRAINING_DOC_TYPE

    public static final java.lang.String DREDOC_TRAINING_DOC_TYPE

See Also:
  Constant Field Values

### URL_TRAINING_DOC_TYPE

    public static final java.lang.String URL_TRAINING_DOC_TYPE

See Also:
  Constant Field Values

### EXPAND_ALL

    public static final java.lang.String EXPAND_ALL

See Also:
  Constant Field Values

### AGENT_TRAINING_MODE_REFERENCE

    public static final java.lang.String AGENT_TRAINING_MODE_REFERENCE

See Also:
  Constant Field Values

### GETTAGVALUES_SORT_PARAM_VALUE_ALPHABETICAL

    public static final java.lang.String GETTAGVALUES_SORT_PARAM_VALUE_ALPHABETICAL

See Also:
  Constant Field Values

### GETTAGVALUES_SORT_PARAM_VALUE_NUM_INCREASING

    public static final java.lang.String GETTAGVALUES_SORT_PARAM_VALUE_NUM_INCREASING

See Also:
  Constant Field Values

### GETTAGVALUES_SORT_PARAM_VALUE_NUM_DECREASING

    public static final java.lang.String GETTAGVALUES_SORT_PARAM_VALUE_NUM_DECREASING

See Also:
  Constant Field Values

### GETTAGVALUES_SORT_PARAM_VALUE_OFF

    public static final java.lang.String GETTAGVALUES_SORT_PARAM_VALUE_OFF

See Also:
  Constant Field Values

### GETTAGVALUES_SORT_PARAM_VALUE_REVERSE_ALPHABETICAL

    public static final java.lang.String GETTAGVALUES_SORT_PARAM_VALUE_REVERSE_ALPHABETICAL

See Also:
  Constant Field Values

### GETTAGNAMES_FIELD_TYPE_PARAM_VALUE_PARAMETRIC

    public static final java.lang.String GETTAGNAMES_FIELD_TYPE_PARAM_VALUE_PARAMETRIC

See Also:
  Constant Field Values

### ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_RESOLVED

    public static final java.lang.String ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_RESOLVED

See Also:
  Constant Field Values

### ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_POSITIVE

    public static final java.lang.String ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_POSITIVE

See Also:
  Constant Field Values

### ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_NEGATIVE

    public static final java.lang.String ROLE_GET_PRIVILEGE_MODE_PARAM_VALUE_NEGATIVE

See Also:
  Constant Field Values

### CAT_STATUS_FIELD_NAME

    public static final java.lang.String CAT_STATUS_FIELD_NAME

See Also:
  Constant Field Values

### CAT_THRESHOLD_FIELD_NAME

    public static final java.lang.String CAT_THRESHOLD_FIELD_NAME

See Also:
  Constant Field Values

### CAT_NUMRESULTS_FIELD_NAME

    public static final java.lang.String CAT_NUMRESULTS_FIELD_NAME

See Also:
  Constant Field Values

### CAT_LANGUAGE_FIELD_NAME

    public static final java.lang.String CAT_LANGUAGE_FIELD_NAME

See Also:
  Constant Field Values

### CAT_ENCODING_FIELD_NAME

    public static final java.lang.String CAT_ENCODING_FIELD_NAME

See Also:
  Constant Field Values

### CAT_DATABASE_FIELD_NAME

    public static final java.lang.String CAT_DATABASE_FIELD_NAME

See Also:
  Constant Field Values

### CATEGORY_TAG_NAME

    public static final java.lang.String CATEGORY_TAG_NAME

See Also:
  Constant Field Values

### CHILDREN_TAG_NAME

    public static final java.lang.String CHILDREN_TAG_NAME

See Also:
  Constant Field Values

### CHILD_TAG_NAME

    public static final java.lang.String CHILD_TAG_NAME

See Also:
  Constant Field Values

### CHILDNAME_TAG_NAME

    public static final java.lang.String CHILDNAME_TAG_NAME

See Also:
  Constant Field Values

### CAT_PARAMETERS_TAG_NAME

    public static final java.lang.String CAT_PARAMETERS_TAG_NAME

See Also:
  Constant Field Values

### LOCATION_TAG_NAME

    public static final java.lang.String LOCATION_TAG_NAME

See Also:
  Constant Field Values

### NODE_TAG_NAME

    public static final java.lang.String NODE_TAG_NAME

See Also:
  Constant Field Values

### NAME_TAG_NAME

    public static final java.lang.String NAME_TAG_NAME

See Also:
  Constant Field Values

### ID_TAG_NAME

    public static final java.lang.String ID_TAG_NAME

See Also:
  Constant Field Values

### BOOLEAN_TAG_NAME

    public static final java.lang.String BOOLEAN_TAG_NAME

See Also:
  Constant Field Values

### TRAININGTEXT_TAG_NAME

    public static final java.lang.String TRAININGTEXT_TAG_NAME

See Also:
  Constant Field Values

### TRAINING_TAG_NAME

    public static final java.lang.String TRAINING_TAG_NAME

See Also:
  Constant Field Values

### TRAININGDOC_TAG_NAME

    public static final java.lang.String TRAININGDOC_TAG_NAME

See Also:
  Constant Field Values

### TITLE_TAG_NAME

    public static final java.lang.String TITLE_TAG_NAME

See Also:
  Constant Field Values

### TRAININGTYPE_TAG_NAME

    public static final java.lang.String TRAININGTYPE_TAG_NAME

See Also:
  Constant Field Values

### MODIFIED_TERMS_TAG_NAME

    public static final java.lang.String MODIFIED_TERMS_TAG_NAME

See Also:
  Constant Field Values

### MODIFIED_WEIGHTS_TAG_NAME

    public static final java.lang.String MODIFIED_WEIGHTS_TAG_NAME

See Also:
  Constant Field Values

### GENERATED_TERMS_TAG_NAME

    public static final java.lang.String GENERATED_TERMS_TAG_NAME

See Also:
  Constant Field Values

### GENERATED_WEIGHTS_TAG_NAME

    public static final java.lang.String GENERATED_WEIGHTS_TAG_NAME

See Also:
  Constant Field Values

### QUERY_AGENT_TERMS_N_WEIGHTS_TAG_NAME

    public static final java.lang.String QUERY_AGENT_TERMS_N_WEIGHTS_TAG_NAME

See Also:
  Constant Field Values

### ORIGINAL_LOCATION_TAG_NAME

    public static final java.lang.String ORIGINAL_LOCATION_TAG_NAME

See Also:
  Constant Field Values

### CHILDID_TAG_NAME

    public static final java.lang.String CHILDID_TAG_NAME

See Also:
  Constant Field Values

### REFERENCE_TAG_NAME

    public static final java.lang.String REFERENCE_TAG_NAME

See Also:
  Constant Field Values

### AGENT_ENTRY_TAG

    public static final java.lang.String AGENT_ENTRY_TAG

See Also:
  Constant Field Values

### AGENT_ID_TAG

    public static final java.lang.String AGENT_ID_TAG

See Also:
  Constant Field Values

### AGENT_TRAINING_TAG

    public static final java.lang.String AGENT_TRAINING_TAG

See Also:
  Constant Field Values

### AGENT_PARENT_TAG

    public static final java.lang.String AGENT_PARENT_TAG

See Also:
  Constant Field Values

### AGENT_PARENT_NAME_TAG

    public static final java.lang.String AGENT_PARENT_NAME_TAG

See Also:
  Constant Field Values

### AGENT_NAME_TAG

    public static final java.lang.String AGENT_NAME_TAG

See Also:
  Constant Field Values

### AGENT_FIELDS_TAG

    public static final java.lang.String AGENT_FIELDS_TAG

See Also:
  Constant Field Values

### AGENT_POSITIVE_TRAINING_TAG

    public static final java.lang.String AGENT_POSITIVE_TRAINING_TAG

See Also:
  Constant Field Values

### AGENT_DOC_REFERENCE_TAG

    public static final java.lang.String AGENT_DOC_REFERENCE_TAG

See Also:
  Constant Field Values

### AGENT_DOC_DETAILS_TAG

    public static final java.lang.String AGENT_DOC_DETAILS_TAG

See Also:
  Constant Field Values

### PROFILE_ENTRY_TAG

    public static final java.lang.String PROFILE_ENTRY_TAG

See Also:
  Constant Field Values

### PROFILE_ID_TAG

    public static final java.lang.String PROFILE_ID_TAG

See Also:
  Constant Field Values

### PROFILE_DIVISION_TAG

    public static final java.lang.String PROFILE_DIVISION_TAG

See Also:
  Constant Field Values

### PROFILE_NAMED_AREA_TAG

    public static final java.lang.String PROFILE_NAMED_AREA_TAG

See Also:
  Constant Field Values

### PROFILE_PARENT_TAG

    public static final java.lang.String PROFILE_PARENT_TAG

See Also:
  Constant Field Values

### PROFILE_PARENT_NAME_TAG

    public static final java.lang.String PROFILE_PARENT_NAME_TAG

See Also:
  Constant Field Values

### PROFILE_PARENT_USER_NAME_TAG

    public static final java.lang.String PROFILE_PARENT_USER_NAME_TAG

See Also:
  Constant Field Values

### USER_ENTRY_TAG

    public static final java.lang.String USER_ENTRY_TAG

See Also:
  Constant Field Values

### USER_ID_TAG

    public static final java.lang.String USER_ID_TAG

See Also:
  Constant Field Values

### USER_NAME_TAG

    public static final java.lang.String USER_NAME_TAG

See Also:
  Constant Field Values

### USER_EMAIL_TAG

    public static final java.lang.String USER_EMAIL_TAG

See Also:
  Constant Field Values

### USER_SECURITY_INFO_TAG

    public static final java.lang.String USER_SECURITY_INFO_TAG

See Also:
  Constant Field Values

### USER_NUM_AGENTS_TAG

    public static final java.lang.String USER_NUM_AGENTS_TAG

See Also:
  Constant Field Values

### USER_MAX_AGENTS_TAG

    public static final java.lang.String USER_MAX_AGENTS_TAG

See Also:
  Constant Field Values

### USER_ROLE_TAG

    public static final java.lang.String USER_ROLE_TAG

See Also:
  Constant Field Values

### USER_PRIVILEGE_TAG

    public static final java.lang.String USER_PRIVILEGE_TAG

See Also:
  Constant Field Values

### USER_PRIVILEGE_TAG_SINGLEVALUED_ATTRIB_NAME

    public static final java.lang.String USER_PRIVILEGE_TAG_SINGLEVALUED_ATTRIB_NAME

See Also:
  Constant Field Values

### USER_PRIVILEGE_NAME_TAG

    public static final java.lang.String USER_PRIVILEGE_NAME_TAG

See Also:
  Constant Field Values

### USER_PRIVILEGE_VALUE_TAG

    public static final java.lang.String USER_PRIVILEGE_VALUE_TAG

See Also:
  Constant Field Values

### USER_FIELDS_TAG

    public static final java.lang.String USER_FIELDS_TAG

See Also:
  Constant Field Values

### USER_FIELD_TAG

    public static final java.lang.String USER_FIELD_TAG

See Also:
  Constant Field Values

### USER_AUTHENTICATE_TAG

    public static final java.lang.String USER_AUTHENTICATE_TAG

See Also:
  Constant Field Values

### USER_SECURITY_TAG

    public static final java.lang.String USER_SECURITY_TAG

See Also:
  Constant Field Values

### USER_NUM_SECURITY_TYPE_TAG

    public static final java.lang.String USER_NUM_SECURITY_TYPE_TAG

See Also:
  Constant Field Values

### COMMUNITY_HIT_TAG

    public static final java.lang.String COMMUNITY_HIT_TAG

See Also:
  Constant Field Values

### COMMUNITY_NAME_TAG

    public static final java.lang.String COMMUNITY_NAME_TAG

See Also:
  Constant Field Values

### COMMUNITY_USERNAME_TAG

    public static final java.lang.String COMMUNITY_USERNAME_TAG

See Also:
  Constant Field Values

### COMMUNITY_PARENT_TAG

    public static final java.lang.String COMMUNITY_PARENT_TAG

See Also:
  Constant Field Values

### TAG_NAME_TAG_NAME

    public static final java.lang.String TAG_NAME_TAG_NAME

See Also:
  Constant Field Values

### FIELD_VALUE_TAG_NAME

    public static final java.lang.String FIELD_VALUE_TAG_NAME

See Also:
  Constant Field Values

### LANGUAGE_TYPE_SETTINGS_TAG_NAME

    public static final java.lang.String LANGUAGE_TYPE_SETTINGS_TAG_NAME

See Also:
  Constant Field Values

### LANGUAGE_TYPE_TAG_NAME

    public static final java.lang.String LANGUAGE_TYPE_TAG_NAME

See Also:
  Constant Field Values

### LANGUAGE_NAME_TAG_NAME

    public static final java.lang.String LANGUAGE_NAME_TAG_NAME

See Also:
  Constant Field Values

### DATABASES_TAG_NAME

    public static final java.lang.String DATABASES_TAG_NAME

See Also:
  Constant Field Values

### DATABASE_TAG_NAME

    public static final java.lang.String DATABASE_TAG_NAME

See Also:
  Constant Field Values

### DATABASE_NAME_TAG_NAME

    public static final java.lang.String DATABASE_NAME_TAG_NAME

See Also:
  Constant Field Values

### PRIVILEGE_VALUE_TAG_NAME

    public static final java.lang.String PRIVILEGE_VALUE_TAG_NAME

See Also:
  Constant Field Values

### ROLE_ISROLEINROLE_TAG_NAME

    public static final java.lang.String ROLE_ISROLEINROLE_TAG_NAME

See Also:
  Constant Field Values

### TNW_NOT_BUILD

    public static final java.lang.String TNW_NOT_BUILD

See Also:
  Constant Field Values

### TNW_NOT_MODIFIED

    public static final java.lang.String TNW_NOT_MODIFIED

See Also:
  Constant Field Values

### COMMUNITY_AGENT_DATABASE

    public static final java.lang.String COMMUNITY_AGENT_DATABASE

See Also:
  Constant Field Values

### COMMUNITY_PROFILE_DATABASE

    public static final java.lang.String COMMUNITY_PROFILE_DATABASE

See Also:
  Constant Field Values

### INVALID_CAT_ID_ERROR

    public static final java.lang.String INVALID_CAT_ID_ERROR

See Also:
  Constant Field Values

### INVALID_TO_CAT_ID_ERROR

    public static final java.lang.String INVALID_TO_CAT_ID_ERROR

See Also:
  Constant Field Values

### INVALID_FROM_CAT_ID_ERROR

    public static final java.lang.String INVALID_FROM_CAT_ID_ERROR

See Also:
  Constant Field Values

### CAT_DOES_NOT_EXIST_ERROR

    public static final java.lang.String CAT_DOES_NOT_EXIST_ERROR

See Also:
  Constant Field Values

### CATEGORIES_NOT_RENDERED

    public static final java.lang.String CATEGORIES_NOT_RENDERED

See Also:
  Constant Field Values

### INVALID_IMPORT_FILE

    public static final java.lang.String INVALID_IMPORT_FILE

See Also:
  Constant Field Values

### DATA_SUIR_NOT_FOUND_ERROR_1

    public static final java.lang.String DATA_SUIR_NOT_FOUND_ERROR_1

See Also:
  Constant Field Values

### DATA_SUIR_NOT_FOUND_ERROR_2

    public static final java.lang.String DATA_SUIR_NOT_FOUND_ERROR_2

See Also:
  Constant Field Values

### AGENT_NOT_FOUND_ERROR

    public static final java.lang.String AGENT_NOT_FOUND_ERROR

See Also:
  Constant Field Values

### AGENT_EXISTS_ERROR

    public static final java.lang.String AGENT_EXISTS_ERROR

See Also:
  Constant Field Values

### USER_NOT_FOUND_ERROR

    public static final java.lang.String USER_NOT_FOUND_ERROR

See Also:
  Constant Field Values

### USER_EXISTS_ERROR

    public static final java.lang.String USER_EXISTS_ERROR

See Also:
  Constant Field Values

### ROLE_NOT_FOUND_ERROR

    public static final java.lang.String ROLE_NOT_FOUND_ERROR

See Also:
  Constant Field Values

### ROLE_EXISTS_ERROR

    public static final java.lang.String ROLE_EXISTS_ERROR

See Also:
  Constant Field Values

### PRIVILEGE_NOT_FOUND_ERROR

    public static final java.lang.String PRIVILEGE_NOT_FOUND_ERROR

See Also:
  Constant Field Values

### PRIVILEGE_EXISTS_ERROR

    public static final java.lang.String PRIVILEGE_EXISTS_ERROR

See Also:
  Constant Field Values

### NO_VALID_DOCUMENTS1_ERROR

    public static final java.lang.String NO_VALID_DOCUMENTS1_ERROR

See Also:
  Constant Field Values

### MAXIMUM_AGENTS_ERROR

    public static final java.lang.String MAXIMUM_AGENTS_ERROR

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD